%bcond_without check

%global goipath         github.com/dustin/go-humanize
Version:                1.0.1

%gometa

%global godevelheader %{expand:
}

%global common_description %{expand:
Package humanize converts boring ugly numbers to human-friendly strings and
back.

Durations can be turned into strings such as "3 days ago", numbers representing
sizes like 82854982 into useful strings like, "83 MB" or "79 MiB" (whichever you
prefer).}

%global golicenses      LICENSE
%global godocs          README.markdown

Name:           %{goname}
Release:    1%{?dist}
Summary:        Formatters for units to human friendly sizes

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
